<?php

/*
 * Admin Assests
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
if (!class_exists('RSAdminAssets')) {

    class RSAdminAssets {

        public static function init() {

            add_filter('woocommerce_custom_nav_menu_items', array(__CLASS__, 'set_custom_menu_items'));
        }

        public static function set_custom_menu_items($endpoints) {
            $reward_content_title = get_option('rs_my_reward_content_title');
            $url_title = get_option('rs_my_reward_url_title') != '' ? get_option('rs_my_reward_url_title') : 'sumo-rewardpoints';
            $endpoints[$url_title] = $reward_content_title;
            return $endpoints;
        }

    }

    RSAdminAssets::init();
}